package cz.jikos.ales.mff.prgj.cfinder;

import java.io.File;

/**
 * Factory for Storage
 * 
 * @author alesak@jikos.cz
 */
public class StorageFactory {
	public static Storage storageFactoryMethod (Object storageBase) {
		if (storageBase instanceof File) {
			return new RafStorage((File)storageBase);
		} else {
			throw new RuntimeException("Unhandled storage type");
		}
	}
}
