package cz.jikos.ales.mff.prgj.cfinder.gui;

import java.util.LinkedList;

import cz.jikos.ales.mff.prgj.cfinder.ClassFinder;
import cz.jikos.ales.mff.prgj.cfinder.Indexer;

/**
 * Main class.
 * 
 * Determines, if gui or just cli should be launched.
 * 
 * @author alesak@jikos.cz
 */
public class ClassFinderGui extends ClassFinder {
	public ClassFinderGui (String [] args)
	{
		parseArgs(args);
		initializePaths();
		initializeStorage();
		
		ClassFinderFrame searchWindow = new ClassFinderFrame();
		searchWindow.setStorage (storage);
		searchWindow.work ();		
	}
	
	public static void main (String [] args) {
		if (isGui(args)) {
			ClassFinderGui gui = new ClassFinderGui(args);				
		} else {
			Indexer idx = new Indexer(args);
		}
	}
}
