package cz.jikos.ales.mff.prgj.simpleser;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

public @interface SimSer {
	@Retention(RetentionPolicy.RUNTIME)
	@Target({ElementType.FIELD,ElementType.TYPE})
	/**
	 * Annotation informing @ref SimpleSer that this 
	 * class/field should be serialized
	 * 
	 * @author alesak@jikos.cz
	 */
	public @interface Serialize {
	
	}
}
